local mPhotonView,mJavaBridge = ...
local Color = luajava.bindClass('android.graphics.Color')
local GB = 1073741824
RubbishScanCallBack = {}
function RubbishScanCallBack.updateScanData(selectedSize,selectedSizeFormat,selectedSizeUnit,unSelectedSize,progress,selectedColor,unSelectedColor)
    local cardStyle = mPhotonView:getParser():getBinder():get("cardStyle")

    if cardStyle  ~= '6' then
        mPhotonView:getParser():getChildView("function_btn"):getView():setVisibility(8)
        mPhotonView:getParser():getChildView("progress_bar"):getView():setVisibility(0)
    end

end

function RubbishScanCallBack.doScanFinish(selectedSize,selectedSizeFormat,selectedSizeUnit,unSelectedSize,selectedColor,unSelectedColor)


    local cardStyle = mPhotonView:getParser():getBinder():get("cardStyle")
    local arrowText = mPhotonView:getParser():getBinder():get("arrow_text")
    if arrowText ~= nil and arrowText ~= '' then
        mPhotonView:getParser():getChildView("function_btn"):getView():setText(arrowText)
    else
        if cardStyle == '2' then
            mPhotonView:getParser():getChildView("function_btn"):getView():setText(unSelectedSize)
            --mPhotonView:getParser():getChildView("function_btn"):getView():setTextColor(Color:parseColor(unSelectedColor))
            mJavaBridge:Log("chenjie_test_test","===iiii="..unSelectedSize)
        end
    end
    mJavaBridge:Log("chenjie_test_test_test","chenjie_test_test_test-1")
    mPhotonView:getParser():getChildView("function_btn"):getView():setVisibility(0)
    mPhotonView:getParser():getChildView("progress_bar"):getView():setVisibility(8)

    mJavaBridge:Log("chenjie_test_test_test","chenjie_test_test_test-2")
     --应用数据
    if cardStyle~=nil and cardStyle == '2' then
        local appDataSize = mJavaBridge:getRubbishAppDataize()
        local appDataSizeStr = mJavaBridge:formatSizeKorMorG(appDataSize)
        --mPhotonView:getParser():getChildView("function_btn"):getView():setText(appDataSizeStr)

        local appDataSizeStrColor = '#777777'
        if appDataSize > GB then
              appDataSizeStrColor = "#f86273"
        end
        mPhotonView:getParser():getChildView("function_btn"):getView():setTextColor(Color:parseColor(appDataSizeStrColor))
    end

end

function updateValue()

    local cardStyle = mPhotonView:getParser():getBinder():get("cardStyle")
    local scene = mPhotonView:getParser():getBinder():get("scene")
    if scene == 10123 then
        local rubbishCleanManager = luajava.bindClass("com.tencent.nucleus.manager.spacecleannew.RubbishCleanManager")
        rubbishScanCallBack = luajava.createProxy('com.tencent.nucleus.manager.spacecleannew.RubbishScanCallBack', RubbishScanCallBack)
        rubbishCleanManager:getInstance():registerScanListener(rubbishScanCallBack)
    else
        --mPhotonView:getParser():getChildView("progress_bar"):getView():setVisibility(8)
        --mPhotonView:getParser():getChildView("function_btn"):getView():setVisibility(0)
        -- body
    end

    mPhotonView:getParser():getChildView("function_btn"):getView():setVisibility(0)
    mPhotonView:getParser():getChildView("progress_bar"):getView():setVisibility(8)
    updateUpdateAppIcon()

    --应用数据
    if cardStyle == '2' then
        --mJavaBridge:Log("chenjie_text","chenjie_text"..tostring(cardStyle))
        --local appDataSize = mJavaBridge:getRubbishAppDataize()
        --local appDataSizeStr = mJavaBridge:formatSizeKorMorG(appDataSize)
        --mPhotonView:getParser():getChildView("function_btn"):getView():setText(appDataSizeStr)

        local appDataSize = mJavaBridge:getNormalSettingsData("rubbish_app_data_size",'0')
        local appDataSizeStr = mJavaBridge:formatSizeKorMorG(appDataSize)
        mPhotonView:getParser():getChildView("function_btn"):getView():setText(appDataSizeStr)
        if tonumber(tonumber(appDataSize, 10)) > GB then
            mPhotonView:getParser():getChildView("function_btn"):getView():setTextColor(Color:parseColor("#f86273"))
        end

    end

     --微信专清
     if cardStyle == '3' then
        local sizeStr = mJavaBridge:getWxQQRubbishSize(1)
        local appDataSize = mJavaBridge:getWxQQRubbishSize(1)
        local appDataSizeStr = mJavaBridge:formatSizeKorMorG(appDataSize)
        mPhotonView:getParser():getChildView("function_btn"):getView():setText(appDataSizeStr)

        if tonumber(tonumber(appDataSize, 10)) > GB then
            mPhotonView:getParser():getChildView("function_btn"):getView():setTextColor(Color:parseColor("#f86273"))
        end

    end

     --大文件
     if cardStyle == '4' then

        local appDataSize = mJavaBridge:getNormalSettingsData("big_file_rubbish_size",'0')
        local appDataSizeStr = mJavaBridge:formatSizeKorMorG(appDataSize)
        mPhotonView:getParser():getChildView("function_btn"):getView():setText(appDataSizeStr)
        if tonumber(tonumber(appDataSize, 10)) > GB then
            mPhotonView:getParser():getChildView("function_btn"):getView():setTextColor(Color:parseColor("#f86273"))
        end

    end

     --QQ专清
     if cardStyle == '5' then
        mJavaBridge:Log("chenjie_text","chenjie_text"..tostring(cardStyle))
        local appDataSize = mJavaBridge:getWxQQRubbishSize(0)
        local appDataSizeStr = mJavaBridge:formatSizeKorMorG(appDataSize)
        mPhotonView:getParser():getChildView("function_btn"):getView():setText(appDataSizeStr)

        if tonumber(tonumber(appDataSize, 10)) > GB then
            mPhotonView:getParser():getChildView("function_btn"):getView():setTextColor(Color:parseColor("#f86273"))
        end

    end

    local arrowText = mPhotonView:getParser():getBinder():get("arrow_text")
    if arrowText ~= nil and arrowText ~= '' then
        mPhotonView:getParser():getChildView("function_btn"):getView():setText(arrowText)
        mPhotonView:getParser():getChildView("function_btn"):getView():setTextColor(Color:parseColor("#969696"))
    end

    --应用更新
    if cardStyle == '6' then
        updateUpdateAppIcon()
    end


end

function updateUpdateAppIcon()

    local icon_uri1 = mPhotonView:getParser():getBinder():get("sub_icon_url1")
    local icon_uri2 = mPhotonView:getParser():getBinder():get("sub_icon_url2")
    local icon_uri3 = mPhotonView:getParser():getBinder():get("sub_icon_url3")

    if icon_uri1 ~= nil then
        mPhotonView:getParser():getChildView("iv_rank_icon_1"):getView():setVisibility(0)
        mPhotonView:getParser():getChildView("function_btn"):getView():setVisibility(8)
    end

    if icon_uri2 ~= nil then
        mPhotonView:getParser():getChildView("iv_rank_icon_2"):getView():setVisibility(0)
    end

    if icon_uri3 ~= nil then
      mPhotonView:getParser():getChildView("iv_rank_icon_3"):getView():setVisibility(0)
    end
end

function hideUpdateAppIcon()
    mPhotonView:getParser():getChildView("iv_rank_icon_1"):getView():setVisibility(8)
    mPhotonView:getParser():getChildView("iv_rank_icon_1"):getView():setVisibility(8)
    mPhotonView:getParser():getChildView("iv_rank_icon_1"):getView():setVisibility(8)
end

function scanFinish()
    mPhotonView:getParser():getChildView("progress_bar"):getView():setVisibility(8)
end
